mayavi not installing correctly

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

mayavi not installing correctly

emmawillemsma
I am trying to install ets on Windows from source using the ets.py script provided. During the Mayavi installation I get the following:

Running command ['c:\\python25\\python.exe', 'setup.py', 'develop'] in package mayavi
running develop
running gen_docs
running build_docs
Please impelemnt sphinx building on windows here.
----------------------------------------------------------------------
Building TVTK classes... Sorry: TypeError: ('compile() expected string without null bytes',)
c:\python25\lib\site-packages\ets\etsproxy\enthought\__init__.py:7: DeprecationWarning: enthought namespace imports are deprecated
  DeprecationWarning)
error: tvtk_classes\ls_dyna_reader.pyc: The system cannot find the file specified
   Error running command in package mayavi:
   Command '['c:\\python25\\python.exe', 'setup.py', 'develop']' returned non-zero exit status 1
   Press enter to process remaining packages.

A Google search took me here: https://github.com/enthought/mayavi/issues/19 but I can't figure out if this is the same issue that I am having, and if so, how to fix it.

Thanks for your help!